package dev.micle.totemofreviving.setup;

import dev.micle.totemofreviving.items.RevivingChargeItem;
import dev.micle.totemofreviving.items.StrawChargeItem;
import dev.micle.totemofreviving.items.StrawTotemItem;
import dev.micle.totemofreviving.items.TotemOfRevivingItem;
import net.minecraft.world.item.Item;
import net.minecraftforge.fmllegacy.RegistryObject;

public class ModItems {
    public static final RegistryObject<Item> TOTEM_OF_REVIVING = Registration.ITEMS.register("totem_of_reviving", TotemOfRevivingItem::new);
    public static final RegistryObject<Item> REVIVING_CHARGE = Registration.ITEMS.register("reviving_charge", RevivingChargeItem::new);
    public static final RegistryObject<Item> STRAW_TOTEM = Registration.ITEMS.register("straw_totem", StrawTotemItem::new);
    public static final RegistryObject<Item> STRAW_CHARGE = Registration.ITEMS.register("straw_charge", StrawChargeItem::new);

    static void register() {
    }
}
